<div class="container">
    <div id="contenido" class="container text-center">
        <h3 class="my-3 text-center">Términos y condiciones para firma electrónica</h3>
        <!--Calle numero colonia zip city edo. -->

        <div class="row">
            <div class="col-md-12" style="text-align: left;">
                <p class="mt-3">
                    <span style="cursor: pointer;">
                    <strong (click)="open()"><u>Términos
                        y condiciones</u></strong>
                  </span>

                  <span> y </span>
                  <span style="cursor: pointer;">
                    <strong (click)="openPolitica(content)"><u>Aviso y política de privacidad</u></strong>
                  </span>
                </p>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12" style="text-align: center;">
                <p class="my-3">
                    <span>
                    <strong>Cláusula para firma electrónica</strong>
                  </span>
                </p>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12" style="text-align: justify;">
                <p class="my-3">
                    Las partes acuerdan que el cliente podrá expresar su consentimiento respecto a la presente Cláusula,
                    así como tener acceso a los servicios ofrecidos por <strong>{{nombreOtorgante}}</strong>
                    mediante medios electrónicos como su NIP.
                </p>
            </div>
        </div>

        <div class="row" style="text-align:left">
            <div class="col-md-9">
                <label class="text-input-acepto">Acepto términos y condiciones y conozco política y aviso de privacidad </label>
            </div>
            <div class="col-md-3">
                <label class="switch">
                    <input type="checkbox" id="changeStatus" (change)="ckeckChangeStatus()">
                    <span class="slider round"></span>
                </label>
            </div>
        </div>
        

        <div class="row text-input">
            <div class="col-md-12 form-group">
                <label class="text-input-acepto">NIP </label>                
                <input autocomplete="off" value="{{nip}}" placeholder="Ingresar NIP" class="form-control" min="1" id="nipInput" 
                oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*?)\..*/g, '$1').slice(0,4);">
            </div>
        </div>
        <div>
        
        <small class="form-text" id="errorGeneral" *ngIf="errorGeneral" style="color:red">El NIP ingresado es invalido</small> 

        <p class="my-3">
            <button type="button"  class="btn btn-lg btn-block btn-danger mr-3 btnUrl btnPrimary" (click)="aceptar()" id="validarBoton"
            [style.background-color]="getColorButton()"
            [style.border-color]="getColorButton()"
            [style.color]="getColorLabel()" [disabled]="btnContinuar">Continuar</button>
        </p>                       
    </div>

    <div id="modalTerminos" class="modal my-auto">
        <!-- Modal content -->
        <div class="modal-content">
            <button id="btnAceptarModal" type ="button" (click)="cerrarModal()"  class="btn btn-lg btn-block mr-3 btnUrl btnAceptarModal">&times;</button>
            <h5 class="d-flex justify-content-center"><strong>Terminos y Condiciones</strong></h5>
            <div class="modal-body" [innerHTML]="textoModal">
            
        </div>
        <div class="modal-footer">
            <button type ="button" (click)="cerrarModal()"  class="btn btn-lg btn-block mr-3 btnUrl btnAceptarModal">&times;</button>
        </div>
      </div>
      
</div>

<ng-template #content let-c="close" let-d="dismiss">
    <div class="modal-header">
        <h4 class="modal-title" id="modal-basic-title">{{tituloModal}}</h4>
        <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
                  <span aria-hidden="true">&times;</span>
    </button>
    </div>
    <div class="modal-body" [innerHTML]="textoModalPolitica">
    </div>
</ng-template>
